%define name tailor
%define version 0
%define release 0.20050301.1

Summary:	A tool to migrate changesets between CVS, Subversion, and darcs repositories
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	%{name}.tar.bz2
# darcs get --partial http://nautilus.homeip.net/~lele/projects/cvsync/
# cd cvsync
# darcs dist -d tailor
# bzme -f tailor.tar.gz
License:	GPL
Group:		Development/Other
Url:		http://nautilus.homeip.net/~lele/projects/cvsync
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
Requires:	python
Requires:	python-vcpx = %{version}-%{release}
BuildArch:	noarch

%description
tailor.py is a tool to migrate changesets between CVS, Subversion, and
darcs repositories.

This script makes it easier to keep the upstream changes merged in
a branch of a product, storing needed information such as the upstream
URI and revision in special properties on the branched directory.

The following ascii-art illustrates the usual scenario::

                           +------------+            +------------+
  +--------------+         | Immutable  |            | Working    |
  | Upstream CVS |-------->| darcs      |----------->| darcs      |
  | repository   | tailor  | repository | darcs pull | repository |
  +--------------+         +------------+            +------------+
                                                           |^
                                                           ||
                                                           ||
                                                           v|
                                                          User

Ideally you should be able to swap and replace "CVS server" and "darcs
repository" with any combination of `CVS`, `Subversion` and `darcs`.


%package -n python-vcpx
Summary:	Version Control Patch eXchanger
Group:		Development/Python
Requires:	python

%description -n python-vcpx
This is the package `vcpx` (pronounced "veeseepex").  It encapsulates
the machinery needed to keep the patches in sync across different VC
systems.


%prep
%setup -q -n %name

%build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%{_bindir}/*
#%{_mandir}/man*/*
%doc README

%files -n python-vcpx
%defattr(-,root,root,0755)
%{_libdir}/python%{pyver}/site-packages/vcpx

%changelog
* Tue Mar 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0-0.20050301.1mdk
- mandrake contrib


